<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$smarty.const.SITE_LANGUAGE}" lang="{$smarty.const.SITE_LANGUAGE}">
<head>

<meta http-equiv="Content-Type" content="text/html; charset={$smarty.const.DOCUMENT_CHARSET}" />

<title>Welcome to {$smarty.const.SITE_URL}</title>

<meta name="description" content="{$smarty.const.DESCRIPTION}" />
<meta name="keywords" content="{$smarty.const.KEYWORDS}" />
<meta name="copyright" content="Copyright {$smarty.const.SITE_NAME} All Rights Reserved." />

<base href="{$smarty.const.SERVER_PATH}" />

<link href="templates/{$smarty.const.TEMPLATE_DIR}/style/style.css" rel="stylesheet" type="text/css" media="screen" />
<link href="templates/{$smarty.const.TEMPLATE_DIR}/style/pp-style.css" rel="stylesheet" type="text/css" media="print" />
<link href="templates/{$smarty.const.TEMPLATE_DIR}/style/jquery-ui-1.8.14.custom.css" rel="stylesheet" type="text/css" media="screen" />

<script type="text/javascript" src="Includes/Javascript/common.js"></script>
<script type="text/javascript" src="Includes/Javascript/jquery-1.5.1.min.js"></script>
<script type="text/javascript" src="Includes/Javascript/jquery-ui-1.8.14.custom.min.js"></script>

{if isset($reset) || isset($register)}
<script type="text/javascript" src="Includes/Javascript/pw-strength-check.js"></script> 
{/if}

</head>

<body>

<div id="pageContainer">
  <div id="header">
  </div>

  <div id="navcontainer">
    <ul id="navlist">
		<li{if isset($index)} class="active"{/if}><a href="index.php" style="color:black">Home</a></li>
		<li{if isset($register)} class="active"{/if}><a href="register.php" style="color:black">Register</a></li>
		<li{if isset($reset)} class="active"{/if}><a href="reset.php" style="color:black">Reset Password</a></li>
		<li><a href="login.php?logoff" style="color:black">Logoff</a></li>
		<li><a href="http://openautoclassifieds.com/forum" style="color:black">Forums</a></li>
		<li{if isset($login)} class="active"{/if}><a href="login.php" style="color:black">Site Login</a></li>
    </ul>
  </div>