{include file="../`$smarty.const.TEMPLATE_DIR`/header.tpl"}

<div id="sidebar">
{include file="../`$smarty.const.TEMPLATE_DIR`/sidebar.tpl"}
</div>

<div class="mainContent">
<h1>{$smarty.const.REGISTER}</h1>
	<p>{$smarty.const.REGISTER_NEW}</p>

{if isset($success)}
	<p class="green"><strong>{$success}</strong></p>
{elseif isset($error_message)}
	<p class="red"><strong>{$error_message}</strong></p>
{/if}

<fieldset>
	<legend>{$smarty.const.NEW_REGISTER_LEGEND}</legend>
		<form action="register.php" method="post">
			<h2>{$smarty.const.REGISTER_DETAILS}</h2>
			<p{if isset($user_error)} class="error"{/if}><label for="user">{$smarty.const.USERNAME}</label>
			<input id="user" name="user" type="text" size="30" maxlength="30" value="{$formuser|default}" />
			</p>
			<div style="float:right;width:110px;margin-right:10px">
				<div id="pass_text" style="padding-top:4px;font-size:xx-small;">Leave Blank for auto password generation</div>
				<div id="pass_bar" style="font-size:xx-small; height: 2px; width: 0px; border: 1px solid white;"></div>
            </div>
            <p{if isset($pass_error)} class="error"{/if}><label for="pass">{$smarty.const.PASSWORD}</label>
			<input id="pass" name="pass" type="password" onKeyUp="runPassword(this.value, 'pass');" size="30" maxlength="30" value="" />
            </p>
			
            <p{if isset($mail_error)} class="error"{/if}><label for="email">{$smarty.const.EMAIL}</label>
			<input id="email" name="email" type="text" size="35" maxlength="50" value="{$formemail|default}" />
			</p>

			<h2>{$smarty.const.PERSONAL_LEGEND}</h2>
			<p><label for="company_name">{$smarty.const.COMPANY_NAME}</label>
			<input id="company_name" name="company_name" type="text" size="30" maxlength="30" value="{$company_name|default}" />
			</p>
			<p{if isset($first_name_error)} class="error"{/if}><label for="first_name">{$smarty.const.FIRST_NAME}</label>
			<input id="first_name" name="first_name" type="text" size="30" maxlength="30" value="{$first_name|default}" />
			</p>
			<p{if isset($last_name_error)} class="error"{/if}><label for="last_name">{$smarty.const.LAST_NAME}</label>
			<input id="last_name" name="last_name" type="text" size="30" maxlength="30" value="{$last_name|default}" />
			</p>
			<p{if isset($phone_error)} class="error"{/if}><label for="phone">{$smarty.const.PHONE}</label>
			<input id="phone" name="phone" type="text" size="30" maxlength="30" value="{$phone|default}" />
			</p>
			<p><label for="alt_phone">{$smarty.const.ALT_PHONE}</label>
			<input id="alt_phone" name="alt_phone" type="text" size="30" maxlength="30" value="{$alt_phone|default}" />
			</p>
			<p><label for="fax">{$smarty.const.FAX}</label>
			<input id="fax" name="fax" type="text" size="30" maxlength="30" value="{$fax|default}" />
			</p>

			{if isset($use_user_location)}
                <h2>{$smarty.const.ADDRESS_LEGEND}</h2>
                <p><label for="country">{$smarty.const.COUNTRY}</label>
                <select style="width:240px" id="country" name="country" onchange="getZone(this.id)" size="1">
	                {if $country}
	                    <option value="{$country}" selected="selected">{$country}</option>
	                {else}
	                    <option value="105" selected="selected">Choose Country</option>
	                {/if}

	                {foreach item="country" from=$countrylist}
	                    <option value="{$country.country_id}">{$country.name}</option>
	                {/foreach}
                </select>
                </p>

                <p><label for="state">{$smarty.const.STATE}</label>
                <select style="width:220px" id="state" name="state" size="1">
	                {if $state}
	                    <option value="{$state}" selected="selected">{$state}</option>
					{else}
	                    <option value="" selected="selected">{$smarty.const.FORM_CHOOSE_STATE}</option>
					{/if}
                </select>
                </p>

                <p><label for="city">{$smarty.const.CITY}</label>
                <input id="city" name="city" type="text" size="30" maxlength="30" value="{$city|default}" />
                </p>
                <p><label for="address">{$smarty.const.ADDRESS}</label>
                <input id="address" name="address" type="text" size="30" maxlength="60" value="{$address|default}" />
                </p>
                <p><label for="zip">{$smarty.const.ZIP}</label>
                <input id="zip" name="zip" type="text" size="6" maxlength="6" value="{$zip|default}" />
                </p>
			{/if}

			<p><input name="submit" type="submit" value="{$smarty.const.SUBMIT}" />
			<a href="login.php">{$smarty.const.BACK_TO_LOGIN}</a><br />
			<input type="checkbox"  value="agree" name="agree"{if isset($formagree)}checked="checked"{/if} />
			{$smarty.const.TOS_AGREE}
			</p>

			<p>{$smarty.const.REQUIRED}
			</p>
	</form>
</fieldset>

</div>

{include file="../`$smarty.const.TEMPLATE_DIR`/footer.tpl"}
