{include file="header.tpl"}
{if $admin}
<div id="sidebar">
{include file="sidebar.tpl"}
</div>

<div class="mainContent">
 
<h1 id="top">{$smarty.const.ADMIN_SETTINGS_HEADING} <strong>{$username}</strong></h1>

<h2>{$smarty.const.UPDATE_ENV}</h2>
	<p>{$smarty.const.ENV_EXPLAINED}</p>

{if isset($success)}
	<p class="green"><strong>{$success}</strong></p>
{elseif isset($error_message)}
	<p class="red"><strong>{$error_message}</strong></p>
{/if}

<p><a href="#settings">{$smarty.const.UPDATE_ENV_LINK}</a> | <a href="#look">{$smarty.const.UPDATE_ENV_LOOK_LINK}</a> | <a href="#mail">{$smarty.const.UPDATE_ENV_SMTP_LINK}</a> | <a href="#maint">{$smarty.const.UPDATE_ENV_MAINT_LINK}</a></p>
<form action="settings.php" method="post">
	<fieldset>
		<legend id="settings">{$smarty.const.UPDATE_ENV_LEGEND}</legend>
			<p>{$smarty.const.SITE_URL_UPDATE_SHORTDESC}</p>
			<p><label for="site_url">{$smarty.const.SITE_URL_UPDATE}</label>
			<input id="site_url" name="site_url" type="text" size="35" maxlength="50" value="{$site_url}" />
			</p>
			<hr />

			<p>{$smarty.const.ADMIN_NAME_UPDATE_SHORTDESC}</p>
			<p><label for="admin_name">{$smarty.const.ADMIN_NAME_UPDATE}</label>
			<input id="admin_name" name="admin_name" type="text" size="30" maxlength="30" value="{$admin_name}" />
			</p>
			<hr />
			
			<p>{$smarty.const.ADMIN_EMAIL_UPDATE_SHORTDESC}</p>
			<p><label for="admin_email">{$smarty.const.ADMIN_EMAIL_UPDATE}</label>
			<input id="admin_email" name="admin_email" type="text" size="30" maxlength="30" value="{$admin_email}" />
			</p>
			<hr />
			
			<p>{$smarty.const.SITE_MODE_UPDATE_SHORTDESC}</p>
			<p><label for="site_mode">{$smarty.const.SITE_MODE_UPDATE}</label>
			<input id="site_mode" name="site_mode" type="text" size="5" maxlength="2" value="{$site_mode}" />
			</p>
			<hr />

			<p>{$smarty.const.DEFAULT_USER_LEVEL_SHORTDESC}</p>
			<p><label for="default_user_level">{$smarty.const.DEFAULT_USER_LEVEL_EDIT}</label>
			<input id="default_user_level" name="default_user_level" type="text" size="5" maxlength="2" value="{$default_user_level}" />
			</p>
			<hr />

			<p>{$smarty.const.EMAIL_VERIFICATION_SHORTDESC}</p>
			<p><label for="use_verify_email">{$smarty.const.EMAIL_VERIFICATION}</label>
			<select id="use_verify_email" name="use_verify_email" size="1">
			{if $use_verify_email}
				<option value="1" selected="selected">{$smarty.const.ENABLED}</option>
			{/if}
				<option value="0">{$smarty.const.DISABLED}</option>
				<option value="1">{$smarty.const.ENABLED}</option>
			</select>
			</p>
			<hr />
			
			<p>{$smarty.const.SITE_USERS_PER_PAGE}</p>
			<p><label for="users_per_page">{$smarty.const.SITE_USERS_LIST}</label>
			<input id="users_per_page" name="users_per_page" type="text" size="5" maxlength="2" value="{$users_per_page}" />
			</p>
			<hr />
			
			<p>{$smarty.const.SITE_USERS_STORE_PATH_DESC}</p>
			<p><label for="users_stored_path">{$smarty.const.SITE_USERS_STORED_PATH}</label>
			<input id="users_stored_path" name="users_stored_path" type="text" size="30" maxlength="30" value="{$users_stored_path}" />
			</p>
			<hr />
			
			<p>{$smarty.const.SITE_NAME_UPDATE_SHORTDESC}</p>
			<p><label for="site_name">{$smarty.const.SITE_NAME_UPDATE}</label>
			<input id="site_name" name="site_name" type="text" size="30" maxlength="50" value="{$site_name}" />
			</p>
			<hr />
			
			<p>{$smarty.const.DESCRIPTION_UPDATE_SHORTDESC}</p>
			<p><label for="description">{$smarty.const.DESCRIPTION_UPDATE}</label>
			<textarea id="description" name="description" cols="30" rows="4" >{$description}</textarea>
			</p>
			<hr />
			
			<p>{$smarty.const.KEYWORDS_EDIT_SHORTDESC}</p>
			<p><label for="keywords">{$smarty.const.KEYWORDS_EDIT}</label>
			<input id="keywords" name="keywords" type="text" size="30" maxlength="255" value="{$keywords}" />
			</p>
			<p><input name="submit" type="submit" value="{$smarty.const.SUBMIT}" />
			<a href="#top">{$smarty.const.BACK_TO_TOP}</a></p>
	</fieldset>

	<fieldset>
		<legend id="look">{$smarty.const.UPDATE_ENV_LOOK_LEGEND}</legend>
			<p>{$smarty.const.SITE_USE_FANCY_URLS_SHORTDESC}</p>
			<p><label for="use_fancy_urls">{$smarty.const.SITE_USE_FANCY_URLS_EDIT}</label>
			<select id="use_fancy_urls" name="use_fancy_urls" size="1">
			{if $use_fancy_urls}
				<option value="1" selected="selected">{$smarty.const.ENABLED}</option>
			{/if}
				<option value="0">{$smarty.const.DISABLED}</option>
				<option value="1">{$smarty.const.ENABLED}</option>
			</select>
			</p>
			<hr />

			<p>{$smarty.const.SITE_TEMPLATE_EDIT_SHORTDESC}</p>
			<p><label for="template">{$smarty.const.SITE_TEMPLATE_EDIT}</label>
			<select id="template" name="template" size="1">
			{if $template}
				<option value="{$template}" selected="selected">{$template}</option>
			{/if}
			{foreach item="template_choices" from=$template_choices}
				<option value="{$template_choices.folder}">{$template_choices.folder}</option>
			{/foreach}
			</select>
			</p>
			<hr />

			<p>{$smarty.const.SITE_USE_USER_LOCATION_SHORTDESC}</p>
			<p><label for="use_user_location">{$smarty.const.SITE_USE_USER_LOCATION_EDIT}</label>
			<select id="use_user_location" name="use_user_location" size="1">
			{if $use_user_location}
				<option value="1" selected="selected">{$smarty.const.ENABLED}</option>
			{/if}
				<option value="0">{$smarty.const.DISABLED}</option>
				<option value="1">{$smarty.const.ENABLED}</option>
			</select>
			</p>
			<hr />

			<p>{$smarty.const.SITE_LANG_EDIT_TIMEZONE}</p>
			<p><label for="site_timezone">{$smarty.const.SITE_TIMEZONE_EDIT}</label>
			<select id="site_timezone" name="site_timezone" size="1">
			{if $site_timezone}
				<option value="{$site_timezone}" selected="selected">{$site_timezone}</option>
			{/if}
			{foreach item="timezone" from=$timezones_list}
				<option value="{$timezone}">{$timezone}</option>
			{/foreach}
			</select>
			</p>
            <hr />

			<p>{$smarty.const.SITE_LANG_EDIT_SHORTDESC}</p>
			<p><label for="site_lang">{$smarty.const.SITE_LANG_EDIT}</label>
			<select id="site_lang" name="site_lang" size="1">
			{if $site_lang}
				<option value="{$site_lang}" selected="selected">{$site_lang}</option>
			{/if}
			{foreach item="site_lang_choices" from=$site_lang_choices}
				<option value="{$site_lang_choices.folder}">{$site_lang_choices.folder}</option>
			{/foreach}
			</select>
			</p>
			<p><input name="submit" type="submit" value="{$smarty.const.SUBMIT}" />
			<a href="#top">{$smarty.const.BACK_TO_TOP}</a></p>
	</fieldset>

	<fieldset>
		<legend id="mail">{$smarty.const.UPDATE_ENV_MAIL_LEGEND}</legend>
			<p>{$smarty.const.SITE_ENABLE_SMTP_SHORTDESC}</p>
			<p><label for="use_smtp">{$smarty.const.SITE_ENABLE_SMTP_EDIT}</label>
			<select id="use_smtp" name="use_smtp" size="1">
			{if $use_smtp}
				<option value="1" selected="selected">{$smarty.const.ENABLED}</option>
			{/if}
				<option value="0">{$smarty.const.DISABLED}</option>
				<option value="1">{$smarty.const.ENABLED}</option>
			</select>
			</p>
			<hr />

			<p>{$smarty.const.SITE_ENABLE_CAPTCHA_SHORTDESC}</p>
			<p><label for="use_captcha">{$smarty.const.SITE_ENABLE_CAPTCHA_EDIT}</label>
			<select id="use_captcha" name="use_captcha" size="1">
			{if $use_captcha}
				<option value="1" selected="selected">{$smarty.const.ENABLED}</option>
			{/if}
				<option value="0">{$smarty.const.DISABLED}</option>
				<option value="1">{$smarty.const.ENABLED}</option>
			</select>
			</p>
			<hr />

			<p>{$smarty.const.SMTP_HOST_SHORTDESC}</p>
			<p><label for="smtp_host">{$smarty.const.SMTP_HOST_UPDATE}</label>
			<input id="smtp_host" name="smtp_host" type="text" size="30" maxlength="30" value="{$smtp_host}" />
			</p>
			<hr />

			<p>{$smarty.const.SMTP_PORT_SHORTDESC}</p>
			<p><label for="smtp_port">{$smarty.const.SMTP_PORT_UPDATE}</label>
			<input id="smtp_port" name="smtp_port" type="text" size="5" maxlength="3" value="{$smtp_port}" />
			</p>
			<hr />

			<p>{$smarty.const.SMTP_USER_SHORTDESC}</p>
			<p><label for="smtp_user">{$smarty.const.SMTP_USER_UPDATE}</label>
			<input id="smtp_user" name="smtp_user" type="text" size="25" maxlength="30" value="{$smtp_user}" />
			</p>
			<hr />

			<p>{$smarty.const.SMTP_PASS_SHORTDESC}</p>
			<p><label for="smtp_pass">{$smarty.const.SMTP_PASS_UPDATE}</label>
			<input id="smtp_pass" name="smtp_pass" type="text" size="25" maxlength="30" value="{$smtp_pass}" />
			</p>
			<p><input name="submit" type="submit" value="{$smarty.const.SUBMIT}" />
			<a href="#top">{$smarty.const.BACK_TO_TOP}</a></p>
	</fieldset>

	<fieldset>
		<legend id="maint">{$smarty.const.UPDATE_ENV_MAINT_LEGEND}</legend>
			<p>{$smarty.const.SITE_MAINT_MODE_SHORTDESC}</p>
			<p><label for="maint_mode">{$smarty.const.SITE_MAINT_MODE_EDIT}</label>
			<select id="maint_mode" name="maint_mode" size="1">
			{if $maint_mode}
				<option value="1" selected="selected">{$smarty.const.ENABLED}</option>
			{/if}
				<option value="0">{$smarty.const.DISABLED}</option>
				<option value="1">{$smarty.const.ENABLED}</option>
			</select>
			</p>
			<hr />

            <p>{$smarty.const.SITE_VISITOR_TRACKING_SHORTDESC}</p>
			<p><label for="visitor_tracking">{$smarty.const.SITE_VISITOR_TRACKING_EDIT}</label>
			<select id="visitor_tracking" name="visitor_tracking" size="1">
			{if $visitor_tracking}
				<option value="1" selected="selected">{$smarty.const.ENABLED}</option>
			{/if}
				<option value="0">{$smarty.const.DISABLED}</option>
				<option value="1">{$smarty.const.ENABLED}</option>
			</select>
			</p>
			<hr />
			
			<p>{$smarty.const.SITE_FORCE_COMPILE_SHORTDESC}</p>
			<p><label for="force_compile_enabled">{$smarty.const.SITE_FORCE_COMPILE_EDIT}</label>
			<select id="force_compile_enabled" name="force_compile_enabled" size="1">
			{if $force_compile_enabled}
				<option value="1" selected="selected">{$smarty.const.ENABLED}</option>
			{/if}
				<option value="0">{$smarty.const.DISABLED}</option>
				<option value="1">{$smarty.const.ENABLED}</option>
			</select>
			</p>
			<hr />
			
			<p>{$smarty.const.SITE_USE_USER_APPROVAL_SHORTDESC}</p>
			<p><label for="use_user_approval">{$smarty.const.SITE_USE_USER_APPROVAL_EDIT}</label>
			<select id="use_user_approval" name="use_user_approval" size="1">
			{if $use_user_approval}
				<option value="1" selected="selected">{$smarty.const.ENABLED}</option>
			{/if}
				<option value="0">{$smarty.const.DISABLED}</option>
				<option value="1">{$smarty.const.ENABLED}</option>
			</select>
			</p>
			<hr />

			<p>{$smarty.const.DELETE_OLD_USERS_SHORTDESC}</p>
			<p><label for="enable_delete_old_users">{$smarty.const.DELETE_OLD_USERS_EDIT}</label>
			<select id="enable_delete_old_users" name="enable_delete_old_users" size="1">
			{if $enable_delete_old_users}
				<option value="1" selected="selected">{$smarty.const.ENABLED}</option>
			{/if}
				<option value="0">{$smarty.const.DISABLED}</option>
				<option value="1">{$smarty.const.ENABLED}</option>
			</select>
			</p>
			<hr />

			<p>{$smarty.const.DELETE_OLD_USERS_AFTER_DAYS_SHORTDESC}</p>
			<p><label for="users_delete_after_days">{$smarty.const.DELETE_OLD_USERS_AFTER_DAYS_EDIT}</label>
			<input id="users_delete_after_days" name="users_delete_after_days" type="text" size="5" maxlength="3" value="{$users_delete_after_days}" />
			</p>
			<hr />

			<p><input name="submit" type="submit" value="{$smarty.const.SUBMIT}" />
			<a href="#top">{$smarty.const.BACK_TO_TOP}</a></p>
	</fieldset>
</form>
</fieldset>

</div>
{/if}
{include file="footer.tpl"}
