{include file="../`$smarty.const.TEMPLATE_DIR`/header.tpl"}

<div id="sidebar">
{include file="../`$smarty.const.TEMPLATE_DIR`/sidebar.tpl"}
</div>

<div class="mainContent">

<h1>{$smarty.const.CONTACT_US_HEADER}</h1>

{if isset($success)}
	<p class="green"><strong>{$success}</strong></p>
{elseif isset($error_message)}
	<p class="red"><strong>{$error_message}</strong></p>
{/if}

<p>{$smarty.const.CONTACT_TOP}</p>

<fieldset>
	<legend>{$smarty.const.CONTACT_LEGEND}</legend>
		<form action="contact.php" method="post" id="contact"> 
			<h2>{$smarty.const.CONTACT_DETAILS}</h2>
			<p{if isset($from_user_error)} class="error"{/if}><label for="from_name">{$smarty.const.NAME}</label>
			<input id="from_name" name="from_name" type="text" size="40" maxlength="50" value="{$formfromname|default}" />
			</p>
			<p><label for="company">{$smarty.const.COMPANY_NAME}</label>
			<input id="company" name="company" type="text" size="40" maxlength="50" value="{$formcompany|default}" />
			</p>
			<p><label for="phone">{$smarty.const.PHONE}</label>
			<input id="phone" name="phone" type="text" size="30" maxlength="15" value="{$formphone|default}" />
			</p>
			<p{if isset($from_mail_error)} class="error"{/if}><label for="from_email">{$smarty.const.EMAIL}</label>
			<input id="from_email" name="from_email" type="text" size="40" maxlength="60" value="{$formfromemail|default}" />
			</p>

			<h2>{$smarty.const.CONTACT_INFO}</h2>
			<p{if isset($subject_error)} class="error"{/if}><label for="subject">{$smarty.const.SUBJECT}</label>
			<input id="subject" name="subject" type="text" size="30" maxlength="60" value="{$formsubject|default}" />
			</p>
			<p{if isset($msg_error)} class="error"{/if}><label for="msg">{$smarty.const.MESSAGE}</label>
			<textarea id="msg" name="msg" cols="35" rows="4">{$formmsg|default}</textarea>
			</p>

			{if $useCaptcha}
				<p><label for="code">{$smarty.const.CODE}</label>
				<img id="code" src="Captcha.php" alt="" />
				</p>
				<p{if isset($cap_error)} class="error"{/if}><label for="captcha">{$smarty.const.CAPTCHA}</label>
				<input id="captcha" name="captcha" type="text" />
				</p>
			{/if}

			<p><input name="submit" type="submit" value="{$smarty.const.SUBMIT}" />
			{$smarty.const.REQUIRED}
			</p>
			<!-- <p><input name="member" type="checkbox" value="1" />{$smarty.const.CONTACT_MEMBER}</p> -->
			<p><input name="news" type="checkbox" checked="checked" value="1" />{$smarty.const.CONTACT_NEWSLETTER}</p>
		</form>
</fieldset>
                 	   
</div>

{include file="../`$smarty.const.TEMPLATE_DIR`/footer.tpl"}