{include file="../`$smarty.const.TEMPLATE_DIR`/header.tpl"}

<div id="sidebar">
{include file="../`$smarty.const.TEMPLATE_DIR`/sidebar.tpl"}
</div>

<div class="mainContent">

<h1>{$smarty.const.EDIT_USER_DETAILS}</h1>
	<p>{$smarty.const.UPDATE_ACCOUNT}</p>

{if isset($success)}
	<p class="green"><strong>{$success}</strong></p>
{elseif isset($error_message)}
	<p class="red"><strong>{$error_message}</strong></p>
{/if}

{foreach item="record" from=$records}
<fieldset>
	<legend>{$smarty.const.EDIT_USER_LEGEND}</legend>
		<form action="useredit.php" method="post">
			<p><label for="company_name">{$smarty.const.COMPANY_NAME}</label>
			<input id="company_name" name="company_name" type="text" size="30" maxlength="30" value="{$record.company_name|default}" />
			</p>
			<p{if isset($first_name_error)} class="error"{/if}><label for="first_name">{$smarty.const.FIRST_NAME}</label>
			<input id="first_name" name="first_name" type="text" size="30" maxlength="30" value="{$record.first_name|default}" />
			</p>
			<p{if isset($last_name_error)} class="error"{/if}><label for="last_name">{$smarty.const.LAST_NAME}</label>
			<input id="last_name" name="last_name" type="text" size="30" maxlength="30" value="{$record.last_name|default}" />
			</p>
			<p{if isset($phone_error)} class="error"{/if}><label for="phone">{$smarty.const.PHONE}</label>
			<input id="phone" name="phone" type="text" size="30" maxlength="30" value="{$record.phone|default}" />
			</p>
			<p><label for="alt_phone">{$smarty.const.ALT_PHONE}</label>
			<input id="alt_phone" name="alt_phone" type="text" size="30" maxlength="30" value="{$record.alt_phone|default}" />
			</p>
			<p><label for="fax">{$smarty.const.FAX}</label>
			<input id="fax" name="fax" type="text" size="30" maxlength="30" value="{$record.fax|default}" />
			</p>
			<p{if isset($mail_error)} class="error"{/if}><label for="email">{$smarty.const.EMAIL}</label>
			<input id="email" name="email" type="text" size="35" maxlength="50" value="{$record.email|default}" />
			</p>

			{if isset($use_user_location)}
                <h2>{$smarty.const.ADDRESS_LEGEND}</h2>
                <p><label for="country">{$smarty.const.COUNTRY}</label>
                <select style="width:240px" id="country" name="country" onchange="getZone(this.id)" size="1">
                {if !$record.country}
                	<option value="" selected="selected">{$smarty.const.CHOOSE_COUNTRY}</option>
    	           	{foreach item="country" from=$countrylist}
                    	<option value="{$country.country_id}">{$country.name}</option>
	               	{/foreach}
                {else}
    	           	{foreach item="country" from=$countrylist}
                        <option value="{$country.country_id}" {if $record.country eq $country.country_id}selected="selected"{/if}>{$country.name}</option>
	               	{/foreach}
                {/if}
                </select>
                </p>
                <p><label for="state">{$smarty.const.STATE}</label>
                <select style="width:220px" id="state" name="state" size="1">
					{if isset($record.state)}
	                    <option value="{$record.state}" selected="selected">{$record.state}</option>
					{else}
	                    <option value="" selected="selected">{$smarty.const.LISTING_FORM_CHOOSE_STATE}</option>
					{/if}

                </select>
                </p>              
                <p><label for="city">{$smarty.const.CITY}</label>
                <input id="city" name="city" type="text" size="30" maxlength="30" value="{$record.city}" />
                </p>
                <p><label for="address">{$smarty.const.ADDRESS}</label>
                <input id="address" name="address" type="text" size="30" maxlength="60" value="{$record.address}" />
                </p>
				<p><label for="zip">{$smarty.const.ZIP}</label>
				<input id="zip" name="zip" type="text" size="6" maxlength="6" value="{$record.zip}" />
				</p>
			{/if}
            			
			<p><input name="submit" type="submit" value="{$smarty.const.SUBMIT}" />
			<a href="member.php">{$smarty.const.BACK_TO_MEMBER_HOME}</a><br />
			</p>
		</form>
</fieldset>
{/foreach}

<fieldset>
	<legend>{$smarty.const.EDIT_PROFILE_IMAGE_LEGEND}</legend>
		<form enctype="multipart/form-data" action="useredit.php" method="post">
			<p><label for="image">{$smarty.const.YOUR_IMAGE}</label>
			<input id="image" name="image" type="file" size="30" value="" />
			</p>
			<p>
			<input type="hidden" name="max" value="{$smarty.const.MAX_IMAGE_SIZE_ALLOWED}" />
			<input name="addimage" type="submit" value="{$smarty.const.SUBMIT}" />
			<a href="member.php">{$smarty.const.BACK_TO_MEMBER_HOME}</a><br />
			</p>
		</form>
</fieldset>

</div>

{include file="../`$smarty.const.TEMPLATE_DIR`/footer.tpl"}